Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | Directories | File List | Namespace Members | Class Members | File Members | Related Pages

# Ogre::Angle Class Reference

Wrapper class which identifies a value as the currently default angle type, as defined by Math::setAngleUnit. More...

`#include <OgreMath.h>`

List of all members.

## Public Member Functions
| Angle (Real angle)
| operator Radian () const
| operator Degree () const
## Private Attributes
Real | mAngle

## Detailed Description

Wrapper class which identifies a value as the currently default angle type, as defined by Math::setAngleUnit.

Remarks:
  Angle values will be automatically converted between radians and degrees, as appropriate.

Definition at line 130 of file OgreMath.h.

## Constructor & Destructor Documentation

Ogre::Angle::Angle | ( | Real | angle | ) | `[explicit]`

| Definition at line 134 of file OgreMath.h. References mAngle.

## Member Function Documentation

Ogre::Angle::operator Degree | ( |  | ) | const

| Definition at line 580 of file OgreMath.h. References mAngle.

Ogre::Angle::operator Radian | ( |  | ) | const

| Definition at line 575 of file OgreMath.h. References mAngle.

## Member Data Documentation

Real Ogre::Angle::mAngle`[private]`

| Definition at line 132 of file OgreMath.h. Referenced by Angle(), operator Degree(), and operator Radian().

The documentation for this class was generated from the following file:

- OgreMath.h

Copyright © 2000-2005 by The OGRE Team
This work is licensed under a Creative Commons Attribution-ShareAlike 2.5 License.
Last modified Sun Sep 30 10:51:41 2007